AnsweredAssumed Answered

Installing Alfresco on Solaris 10: Questions & Issues

Question asked by mikebreeze on Mar 7, 2012
Latest reply on May 9, 2012 by mikebreeze
Greetings-

We are attempting to install:

Alfresco Enterprise 3.4.5

on Solaris 10

utilizing existing:

Oracle Enterprise Database 11.1.0.7
Weblogic 10.3.5.0

and installing:

Open Office 3.3 and 2.3
Flash for Solaris SPARC
SWF Tools 0.8.1 and 0.9.1

My first question is: Has anyone successfully installed this product on this combination of hardware/software/OS?

We are having issues installing and configuring Open Office on Solaris.  Since Oracle stopped supporting OO and gave the code to the Apache Software Foundation in June, 2011 it is tough getting any support for OO on Solaris.  We initially installed version 3.3 but kept getting errors that certain libraries were missing.  So we backed down to version 2.3.  It seemed to install OK.  However, Alfresco does not seem to recognize it. 

So my second question is: Has anyone gotten OO to run successfully on Solaris?  Which version did you use?  Did you have to use an X windows type product like X.11 or Cygwin or Xvfb to set up OO or just have Alfresco call it with a headless parameter?  We found an older procedure to install OO here:

http://wiki.alfresco.com/wiki/Installing_on_Solaris

However, it talks about creating a service for Xvfb, which worked.  Then it talks about creating a service for Open Office.  However, within the xml file to create this service there is a line that says:

exec='/alstore/alfresco/installer/start_oo.sh'

We did not know what this pertained to.  And we're not sure if this is for an older version of Alfresco or where it is found, so we couldn't get this procedure to work.

We also had issues with knowing where to place the Flash plugin for Alfreso, which we believe is called:

libflashplayer.so

as well as how do we configure Alfresco to find it?

Lastly, we had issues with SWF Tools.  The configure went OK.  But when we did a make, we got the following error:

In file included from modules/.././bitio.h:23,
                 from modules/../rfxswf.h:37,
                 from modules/swfaction.c:24:
modules/.././types.h:39:2: #error "no way to define 64 bit integer"
modules/.././types.h:42:2: #error "don't know how to define 32 bit integer"
modules/.././types.h:45:2: #error "don't know how to define 16 bit integer"
modules/.././types.h:48:2: #error "don't know how to define 8 bit integer"
*** Error code 1
make: Fatal error: Command failed for target `modules/swfaction.o'
Current working directory /app/swftools-0.9.1/lib
*** Error code 1
make: Fatal error: Command failed for target `all'

and are getting other configure errors on SWF Tools 0.8.1.

So if anyone that has the above combination could possibly render any advice, we would be most grateful.

Thanks,

Mike Calabrese

Outcomes